MEMRM(1)

NAME
memrm - libmemcached Documentation

SYNOPSIS

memrm [options] <key ...>

Remove key(s) from a collection of memcached servers

DESCRIPTION

memrm removes items, specified by key, from memcached(1) <https://linux.die.net/man/1/memcached> servers.

OPTIONS

    -h|--help
        Display help.

    -V|--version
        Display version.

    -q|--quiet
        Operate quietly.

    -v|--verbose
        Operate more verbosely.

    -d|--debug
        See -v|--verbose.

    -e|--expire <expiration>
        Use expiration seconds (or a UNIX timestamp).

    -H|--hash <algorithm>
        Use algorithm as key hash algo. See memcached_behavior_t::MEMCACHED_BEHAVIOR_HASH <#_CPPv4N20memcached_behavior_t23MEMCACHED_BEHAVIOR_HASHE>.

    -s|--servers <list of servers>
        Specify the list of servers as hostname[:port][,hostname[:port]...].

    -n|--non-blocking
        Enable non-blocking operations.

    -N|--tcp-nodelay
        Disable Nagle's algorithm.

    -b|--binary
        Enable binary protocol.

    -B|--buffer
        Buffer requests.

    -u|--username <username>
        Use username for SASL authentication.

    -p|--password <password>
        Use password for SASL authentication.

ENVIRONMENT

    MEMCACHED_SERVERS
        Specify a list of servers.

NOTES

  PROGRAM PREFIX

The prefix of this program is variable, i.e. it can be configured at build time.

Usually the client programs of libmemcached-awesome are prefixed with mem, like memcat or memcp.

It can be configured, though, to replace the prefix with something else like mc, in case of that, the client programs of libmemcached-awesome would be called mccat, mccp, etc. respectively.

SEE ALSO

memcached(1) <https://linux.die.net/man/1/memcached> libmemcached(3) <https://linux.die.net/man/3/libmemcached>

    •   C/C++ Client Library for memcached <>

    •   Deleting data from a server <>